<?php
/**
* キャッシュファイルを生成するファクトリクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_CacheFileFactory
{
	/*
	 * キャッシュファイルを作成
	 */
	public static function create( $cache_file_name, $data = NULL )
	{
		log_info( "system",  "キャッシュファイル[$cache_file_name]をロードします。", __FILE__, __LINE__ );

		// キャッシュファイル設定ファイルの読み込み
		$cache_file_config = charcoal_ConfigLoader::loadConfig( $cache_file_name, "cache_file" );

		// キャッシュファイルのインスタンス生成
		$cache_file = new charcoal_CacheFile( $cache_file_name, $data );

		log_info( "system",  "キャッシュファイル[$cache_file_name]を初期化します。", __FILE__, __LINE__ );

		// キャッシュファイルを初期化
		$cache_file->initCacheFile( $cache_file_config );

		log_info( "system",  "キャッシュファイル[$cache_file_name]をロードしました。", __FILE__, __LINE__ );

		// ロードしたキャッシュファイルを返却
		return $cache_file;
	}
}
